diff Start.sh @ 306:da2be3ff2db5 c-get

fix getscu binaries
author Sebastien Jodogne <s.jodogne@gmail.com>
date Wed, 20 May 2020 08:41:21 +0200
parents f8d781d1d267
children ad98466353c6
line wrap: on
line diff
--- a/Start.sh	Tue May 12 14:36:29 2020 +0200
+++ b/Start.sh	Wed May 20 08:41:21 2020 +0200
@@ -3,4 +3,18 @@
 # Without Docker:
 # python ./Tests/Run.py --force
 
-sudo docker run --rm -t -i -v `pwd`:/tmp/tests:ro -p 5000:5000 -p 5001:5001 --entrypoint python jodogne/orthanc-tests /tmp/tests/Tests/Run.py --docker $*
+set -ex
+
+if [ ! -f "./getscu-3.6.5" ]; then
+    # This binary was generated by running Linux Standard Base on
+    # "Resources/DcmtkTools" in the Orthanc source distribution,
+    # as DCMTK 3.6.0 does not contain "getscu"
+    wget http://orthanc.osimis.io/ThirdPartyDownloads/linux-standard-base/getscu-3.6.5
+    chmod +x ./getscu-3.6.5
+fi
+
+sudo docker run --rm -t -i -p 5000:5000 -p 5001:5001 \
+     -v `pwd`:/tmp/tests:ro \
+     -v `pwd`/getscu-3.6.5:/usr/bin/getscu:ro \
+     --entrypoint python jodogne/orthanc-tests \
+     /tmp/tests/Tests/Run.py --docker $*